本帖最后由 lisperado 于 2018-10-11 16:28 编辑
之前只表达思路以参考,其它都以同样方式让自己去研究
因为有些参数我也搞不懂怎样设置 。。。
先用vlax-dump-object查询字典 activeX方式(method)或属性 (property)
(RO) - 只读
vla- 应用方式(如有)
vla-get- 读取参数
vla-put- 设定参数
举例:
(setq display (vla-get-display (vla-get-preferences (vlax-get-acad-object) ) ) ) ;显示之文件库
(vlax-dump-object display t) ;查询相关字典
; IAcadPreferencesDisplay: This object contains the options from the Display tab on the Options dialog
; Property values:
; Application (RO) = #<VLA-OBJECT IAcadApplication 00d077b4>
; AutoTrackingVecColor = unsupported result type: 19
; CursorSize = 5
; DisplayLayoutTabs = -1
; DisplayScreenMenu = 0
; DisplayScrollBars = 0
; DockedVisibleLines = 2
; GraphicsWinLayoutBackgrndColor = unsupported result type: 19
; GraphicsWinModelBackgrndColor = unsupported result type: 19
; HistoryLines = 400
; ImageFrameHighlight = 0
; LayoutCreateViewport = -1
; LayoutCrosshairColor = unsupported result type: 19
; LayoutDisplayMargins = -1
; LayoutDisplayPaper = -1
; LayoutDisplayPaperShadow = 0
; LayoutShowPlotSetup = 0
; MaxAutoCADWindow = 0
; ModelCrosshairColor = unsupported result type: 19
; ShowRasterImage = 0
; TextFont = "Courier New"
; TextFontSize = 10
; TextFontStyle = 0
; TextWinBackgrndColor = unsupported result type: 19
; TextWinTextColor = unsupported result type: 19
; TrueColorImages = -1
; XRefFadeIntensity = 50
; No methods ;无应用方式
 - (vla-get-LayoutDisplayPaperShadow display ) ; 读取阴影值
- ;返回 0
- (vla-put-LayoutDisplayPaperShadow display -1 ) ; 设置阴影值-开启=-1
- (vla-regen (vla-get-activedocument(vlax-get-acad-object)) 0 ) ;更新
|